## mingw-w64-qt6-lottie-6.6.3-1.src.tar.zst

=== src/bodymovin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(BodymovinPrivate
    INTERNAL_MODULE
    SOURCES
        beziereasing.cpp beziereasing_p.h
        bmbase.cpp bmbase_p.h
        bmbasictransform.cpp bmbasictransform_p.h
        bmconstants_p.h
        bmellipse.cpp bmellipse_p.h
        bmfill.cpp bmfill_p.h
        bmfilleffect.cpp bmfilleffect_p.h
        bmfreeformshape.cpp bmfreeformshape_p.h
        bmgfill.cpp bmgfill_p.h
        bmglobal.h
        bmgroup.cpp bmgroup_p.h
        bmimage.cpp bmimage_p.h
        bmimagelayer.cpp bmimagelayer_p.h
        bmlayer.cpp bmlayer_p.h
        bmpathtrimmer.cpp bmpathtrimmer_p.h
        bmproperty_p.h
        bmrect.cpp bmrect_p.h
        bmrepeater.cpp bmrepeater_p.h
        bmrepeatertransform.cpp bmrepeatertransform_p.h
        bmround.cpp bmround_p.h
        bmshape.cpp bmshape_p.h
        bmshapelayer.cpp bmshapelayer_p.h
        bmshapetransform.cpp bmshapetransform_p.h
        bmspatialproperty_p.h
        bmstroke.cpp bmstroke_p.h
        bmtrimpath.cpp bmtrimpath_p.h
        lottierenderer.cpp lottierenderer_p.h
        trimpath.cpp trimpath_p.h
    DEFINES
        BODYMOVIN_LIBRARY
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-lottie
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.6.3
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='A family of player software for a certain json-based file format for describing 2d vector graphics animations (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtlottie.git"
msys2_references=(
  'archlinux: qt6-lottie'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:GPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('9891fad0aef6fbc2f458f6d664698d9180b20255fc83e2c269960304c0920eb4')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-lottie() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs ${pkgdir}/.${MINGW_PREFIX} ${srcdir}/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-lottie-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf ${srcdir}/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
